PHONY: clean dev lint test build publish

clean:
	rm -rf build/ dist/ lib/ homehub_tradfri.egg-info/

dev:
	yarn dev

lint:
	yarn lint
	flake8

test:
	yarn test --single-run
	pytest -v --disable-warnings

build: clean
	yarn build
	python setup.py build sdist bdist_wheel

publish:
	npm publish
	twine upload --repository pypi-hosted.nexus.bthlabs.pl --skip-existing dist/*
